chiark / gitweb /
Test suite: Prepare for pipefail in t-apply-diff
[dgit.git] / tests / lib
index 0ae9bbc281374fc4b1f23b92aa54f3799e48b712..e960c1c62c33f60c76a27f83cd212aac0b8fcc2a 100644 (file)
--- a/tests/lib
+++ b/tests/lib
@@ -370,8 +370,9 @@ t-ref-dsc-dgit () {
 t-apply-diff () {
        local v1=$1
        local v2=$2
 t-apply-diff () {
        local v1=$1
        local v2=$2
-       (cd $troot/pkg-srcs; debdiff ${p}_${v1}.dsc ${p}_${v2}.dsc) \
-               | patch -p1 -u
+       (cd $troot/pkg-srcs;
+        debdiff ${p}_${v1}.dsc ${p}_${v2}.dsc || test $? = 1) \
+        | patch -p1 -u
 }
 
 t-commit () {
 }
 
 t-commit () {